Bug 129834 - kernel 2.6.7-1.517 will not run TeamSpeak2
kernel 2.6.7-1.517 will not run TeamSpeak2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-12 23:53 EDT by Michael Wiktowy
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-22 10:05:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Wiktowy 2004-08-12 23:53:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
I have the Teamspeak2 client version 2.0.32.60 running on Fedora Core
3 test being continuously being updated from rawhide. Upgraded to
kernel 2.6.7-1.517 and it stopped working. Rebooted back to
2.6.7-1.515 and it still works fine. It has a wrapper script that
loads the istallation directory as a place to find library files:
#!/bin/sh
#
# This starup script will set the correct library path
# and then startup the teamspeak binary.
#
 
export LD_LIBRARY_PATH=/home/mwiktowy/TeamSpeak2RC2:$LD_LIBRARY_PATH
/home/mwiktowy/TeamSpeak2RC2/TeamSpeak.bin $*

Since the there is a local copy of libspeex.so that is uses. I am
guessing that 517 is ignoring this and Teamspeak.bin is dying on the
loading of a newer libspeex. More debug info to follow after I reboot
into 517.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. boot into kernel 2.6.7-1.517
2. run the Teamspeak2 client
3.
    

Additional info:
Comment 1 Michael Wiktowy 2004-08-13 00:01:34 EDT
The error given when running the wrapper is:
Runtime error 230 at 0806A7E9
./TeamSpeak: line 8:  2828 Segmentation fault     
/home/mwiktowy/TeamSpeak2RC2/TeamSpeak.bin $*

strace gives:
$ strace ./TeamSpeak
execve("./TeamSpeak", ["./TeamSpeak"], [/* 33 vars */]) = 0
uname({sys="Linux", node="CPE0026540bdbe6-CM0000393ffa54", ...}) = 0
brk(0)                                  = 0x826b000
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or
directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=119179, ...}) = 0
old_mmap(NULL, 119179, PROT_READ, MAP_PRIVATE, 3, 0) = 0xf6fe2000
close(3)                                = 0
open("/lib/libtermcap.so.2", O_RDONLY)  = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\320\33"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=12592, ...}) = 0
old_mmap(0xd01000, 14280, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xd01000
old_mmap(0xd04000, 4096, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0xd04000
close(3)                                = 0
open("/lib/libdl.so.2", O_RDONLY)       = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\360j\257"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=16788, ...}) = 0
old_mmap(0xaf5000, 12412, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xaf5000
old_mmap(0xaf7000, 8192, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1000) = 0xaf7000
close(3)                                = 0
open("/lib/tls/libc.so.6", O_RDONLY)    = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p\333\233"...,
512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1494736, ...}) = 0
old_mmap(0x9a9000, 1199148, PROT_READ|PROT_EXEC,
MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x9a9000
old_mmap(0xac8000, 16384, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x11e000) = 0xac8000
old_mmap(0xacc000, 7212, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xacc000
close(3)                                = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0xf6fe1000
mprotect(0xaf7000, 4096, PROT_READ)     = 0
mprotect(0xac8000, 8192, PROT_READ)     = 0
set_thread_area({entry_number:-1 -> 6, base_addr:0xf6fe16a0,
limit:1048575, seg_32bit:1, contents:0, read_exec_only:0,
limit_in_pages:1, seg_not_present:0, useable:1}) = 0
munmap(0xf6fe2000, 119179)              = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("/dev/tty", O_RDWR|O_NONBLOCK|O_LARGEFILE) = 3
close(3)                                = 0
brk(0)                                  = 0x826b000
brk(0x828c000)                          = 0x828c000
open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=38661536, ...}) = 0
mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 3, 0) = 0xf6de1000
close(3)                                = 0
getuid32()                              = 500
getgid32()                              = 500
geteuid32()                             = 500
getegid32()                             = 500
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
time(NULL)                              = 1092369671
open("/etc/mtab", O_RDONLY)             = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=270, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xf6de0000
read(3, "/dev/hda2 / ext3 rw 0 0\nnone /pr"..., 4096) = 270
close(3)                                = 0
munmap(0xf6de0000, 4096)                = 0
open("/proc/meminfo", O_RDONLY)         = 3
fstat64(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xf6de0000
read(3, "MemTotal:      1036188 kB\nMemFre"..., 1024) = 644
close(3)                                = 0
munmap(0xf6de0000, 4096)                = 0
rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGCHLD, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGINT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_DFL}, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigaction(SIGQUIT, {SIG_IGN}, {SIG_DFL}, 8) = 0
uname({sys="Linux", node="CPE0026540bdbe6-CM0000393ffa54", ...}) = 0
stat64("/home/mwiktowy/TeamSpeak2RC2", {st_mode=S_IFDIR|0775,
st_size=4096, ...}) = 0
stat64(".", {st_mode=S_IFDIR|0775, st_size=4096, ...}) = 0
getpid()                                = 2868
getppid()                               = 2867
getpgrp()                               = 2867
rt_sigaction(SIGCHLD, {0x80770fd, [], SA_RESTORER, 0x9d0568},
{SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
open("./TeamSpeak", O_RDONLY|O_LARGEFILE) = 3
ioctl(3, SNDCTL_TMR_TIMEBASE or TCGETS, 0xfeea9fe8) = -1 ENOTTY
(Inappropriate ioctl for device)
_llseek(3, 0, [0], SEEK_CUR)            = 0
read(3, "#!/bin/sh\n#\n# This starup script"..., 80) = 80
_llseek(3, 0, [0], SEEK_SET)            = 0
getrlimit(RLIMIT_NOFILE, {rlim_cur=1024, rlim_max=1024}) = 0
dup2(3, 255)                            = 255
close(3)                                = 0
fcntl64(255, F_SETFD, FD_CLOEXEC)       = 0
fcntl64(255, F_GETFL)                   = 0x8000 (flags
O_RDONLY|O_LARGEFILE)
fstat64(255, {st_mode=S_IFREG|0755, st_size=226, ...}) = 0
_llseek(255, 0, [0], SEEK_CUR)          = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "#!/bin/sh\n#\n# This starup script"..., 226) = 226
open("/usr/lib/gconv/gconv-modules.cache", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=21544, ...}) = 0
mmap2(NULL, 21544, PROT_READ, MAP_SHARED, 3, 0) = 0xf6ddb000
close(3)                                = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_BLOCK, [INT CHLD], [], 8) = 0
clone(Runtime error 230 at 0806A7E9
child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0xf6fe16e8) = 2869
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGINT, {0x8075f04, [], SA_RESTORER, 0x9d0568},
{SIG_DFL}, 8) = 0
waitpid(-1, [{WIFSIGNALED(s) && WTERMSIG(s) == SIGSEGV}], 0) = 2869
fstat64(2, {st_mode=S_IFCHR|0620, st_rdev=makedev(136, 1), ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xf6dda000
open("/usr/share/locale/locale.alias", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=2528, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xf6dd9000
read(3, "# Locale name alias data base.\n#"..., 4096) = 2528
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0xf6dd9000, 4096)                = 0
open("/usr/share/locale/en_US.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) =
-1 ENOENT (No such file or directory)
open("/usr/share/locale/en_US.utf8/LC_MESSAGES/libc.mo", O_RDONLY) =
-1 ENOENT (No such file or directory)
open("/usr/share/locale/en_US/LC_MESSAGES/libc.mo", O_RDONLY) = -1
ENOENT (No such file or directory)
open("/usr/share/locale/en.UTF-8/LC_MESSAGES/libc.mo", O_RDONLY) = -1
ENOENT (No such file or directory)
open("/usr/share/locale/en.utf8/LC_MESSAGES/libc.mo", O_RDONLY) = -1
ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/libc.mo", O_RDONLY) = -1 ENOENT
(No such file or directory)
write(2, "./TeamSpeak: line 8:  2869 Segme"..., 97./TeamSpeak: line 8:
 2869 Segmentation fault     
/home/mwiktowy/TeamSpeak2RC2/TeamSpeak.bin $*
) = 97
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
waitpid(-1, 0xfeea9a9c, WNOHANG)        = -1 ECHILD (No child processes)
sigreturn()                             = ? (mask now [])
rt_sigaction(SIGINT, {SIG_DFL}, {0x8075f04, [], SA_RESTORER,
0x9d0568}, 8) = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
read(255, "", 226)                      = 0
munmap(0xf6dda000, 4096)                = 0
exit_group(139)                         = ?

And then it dies.
Comment 2 Michael Wiktowy 2004-08-19 22:19:54 EDT
kernel-2.6.8-1.524 continues to have this problem. It is also blocking
quake3 from running.
Comment 3 Michael Wiktowy 2004-09-06 15:44:56 EDT
echo 1 > /proc/sys/vm/legacy_va_layout

fixed TeamSpeak2 so it now starts up.

Quake3 doesn't die but now gets hung up on starting its sound system
... I think that is a different issue relating to OSS vs. ALSA though.
Comment 4 Michael Wiktowy 2004-10-22 10:05:18 EDT
TS2 runs fine with the workaround in Comment #3 so I will mark my bug
as closed.

Note You need to log in before you can comment on or make changes to this bug.